Method: projects.locations.connections.gitRepositoryLinks.fetchPullRequest

从 Git 代码库链接中提取拉取请求详细信息。

HTTP 请求

GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequest

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。GitRepositoryLink 的资源名称,格式为 projects/*/locations/*/connections/*/gitRepositoryLinks/*。

查询参数

参数
pullRequestId

string

必需。拉取请求的 ID。

请求正文

请求正文必须为空。

响应正文

如果成功,则响应正文包含一个 PullRequest 实例。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 Authentication Overview。

IAM 权限

需要拥有 name 资源的以下 IAM 权限:

  • developerconnect.gitRepositoryLinks.fetchPullRequest

如需了解详情,请参阅 IAM 文档。